| GET | /RestApi/recycle-bin/items |
|---|
import Foundation
import ServiceStack
public class FindRecycleBinItems : IRecycleBinItemFilter, Codable
{
public var skip:Int?
public var take:Int?
public var orderExpression:String
public var typeName:String
public var searchText:String
required public init(){}
}
Swift FindRecycleBinItems DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}
]